curl --request PUT \
--url https://api.hyperline.co/v1/wallets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_auto_load_enabled": true,
"auto_load_type": "paid",
"auto_load_amount": 20000,
"auto_load_reset": false,
"auto_load_interval": {
"period": "months",
"count": 1
},
"auto_load_next_date": "2024-12-20T16:04:11Z",
"auto_load_threshold": 5000,
"state": "active",
"low_projected_balance_threshold": 10000
}
'{
"id": "wal_PPpxP5d3uvgiTT",
"customer_id": "cus_QalW2vTAdkR6IY",
"state": "active",
"currency": "EUR",
"balance": {
"amount": 2400
},
"projected_balance": {
"amount": 2400
},
"created_at": "2024-12-20T16:04:11Z",
"low_projected_balance_threshold": 10000,
"is_auto_load_enabled": true,
"auto_load_type": "paid",
"auto_load_amount": 20000,
"auto_load_reset": false,
"auto_load_interval": {
"period": "months",
"count": 1
},
"auto_load_next_date": "2024-12-20T16:04:11Z",
"auto_load_threshold": 5000
}Update the details of an existing wallet.
curl --request PUT \
--url https://api.hyperline.co/v1/wallets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_auto_load_enabled": true,
"auto_load_type": "paid",
"auto_load_amount": 20000,
"auto_load_reset": false,
"auto_load_interval": {
"period": "months",
"count": 1
},
"auto_load_next_date": "2024-12-20T16:04:11Z",
"auto_load_threshold": 5000,
"state": "active",
"low_projected_balance_threshold": 10000
}
'{
"id": "wal_PPpxP5d3uvgiTT",
"customer_id": "cus_QalW2vTAdkR6IY",
"state": "active",
"currency": "EUR",
"balance": {
"amount": 2400
},
"projected_balance": {
"amount": 2400
},
"created_at": "2024-12-20T16:04:11Z",
"low_projected_balance_threshold": 10000,
"is_auto_load_enabled": true,
"auto_load_type": "paid",
"auto_load_amount": 20000,
"auto_load_reset": false,
"auto_load_interval": {
"period": "months",
"count": 1
},
"auto_load_next_date": "2024-12-20T16:04:11Z",
"auto_load_threshold": 5000
}Documentation Index
Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Update wallet payload
Indicates if the wallet is auto-loaded regularly.
true true
Indicates if the auto-load is free or paid.
free, paid "paid"
Amount to auto-load. Expressed in currency's smallest unit.
20000
Indicates if the wallet amount must be reset before auto-load.
false
Interval indicating how often the wallet is auto-loaded.
Show child attributes
{ "period": "months", "count": 1 }Threshold to auto-load. Expressed in currency's smallest unit.
5000
Wallet state.
active, paused "active"
Threshold indicating a low level of wallet projected balance.
10000
Wallet ID.
"wal_PPpxP5d3uvgiTT"
Wallet customer ID.
"cus_QalW2vTAdkR6IY"
Wallet state.
active, paused "active"
Currency code. See ISO 4217.
EUR, AED, AFN, XCD, ALL, AMD, AOA, ARS, USD, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, XOF, BMD, BND, BOB, BRL, BSD, BTN, NOK, BWP, BYR, BZD, CAD, CDF, XAF, CHF, NZD, CLP, CNY, COP, CRC, CUP, CVE, ANG, CZK, DJF, DKK, DOP, DZD, EGP, MAD, ERN, ETB, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZN, NAD, XPF, NGN, NIO, NPR, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VEF, VND, VUV, WST, YER, ZAR, ZMW, ZWL "EUR"
Wallet actual balance. Expressed in currency's smallest unit.
Show child attributes
Wallet projected balance. Automatically computed by Hyperline depending on the customer's active subscriptions and future payments. Expressed in currency's smallest unit.
Show child attributes
Wallet creation date.
"2024-12-20T16:04:11Z"
Threshold indicating a low level of wallet projected balance.
10000
Indicates if the wallet is auto-loaded regularly.
true true
Indicates if the auto-load is free or paid.
free, paid "paid"
Amount to auto-load. Expressed in currency's smallest unit.
20000
Indicates if the wallet amount must be reset before auto-load.
false
Interval indicating how often the wallet is auto-loaded.
Show child attributes
{ "period": "months", "count": 1 }Threshold to auto-load. Expressed in currency's smallest unit.
5000
Was this page helpful?